# DOSLFN

Provides the long filename (LFN) API in plain DOS (without Windows). This version requires SHSUCDX for CD-ROM support.

# Contributing

**Would you like to contribute to FreeDOS?** The programs listed here are a great place to start. Most of these do not have a maintainer anymore and need your help to make them better. Here's how to get started:

* __Maintainers__: Let us know if you'd like to take on one of these programs, and we can provide access to the source code repository here. Please use the FreeDOS package structure when you make new releases, including all executables, source code, and metadata.

* __New developers__: We can extend access for you to track issues here.

* __Translators__: Please submit to the [FD-NLS Project](https://github.com/shidel/fd-nls).

_*Make sure to check all source code licenses, especially for any code you might reuse from other projects to improve these programs. Note that not all open source licenses are the same or compatible with one another. (For example, you cannot reuse code covered under the GNU GPL in a program that uses the BSD license.)_

## DOSLFN.LSM

<table>
<tr><td>title</td><td>DOSLFN</td></tr>
<tr><td>version</td><td>0.41f</td></tr>
<tr><td>entered&nbsp;date</td><td>2022-04-14</td></tr>
<tr><td>description</td><td>Provides the long filename (LFN) API</td></tr>
<tr><td>summary</td><td>Provides the long filename (LFN) API in plain DOS (without Windows). This version requires SHSUCDX for CD-ROM support.</td></tr>
<tr><td>keywords</td><td>long file name, lfn</td></tr>
<tr><td>author</td><td>Henrik Haftmann</td></tr>
<tr><td>maintained&nbsp;by</td><td>Jason Hood &lt;jadoxa@yahoo.com.au&gt;</td></tr>
<tr><td>primary&nbsp;site</td><td>http://adoxa.altervista.org/doslfn/</td></tr>
<tr><td>platforms</td><td>dos (386+)</td></tr>
<tr><td>copying&nbsp;policy</td><td>Freeware w/sources</td></tr>
<tr><td>license&nbsp;site</td><td>https://en.wikipedia.org/wiki/License-free_software</td></tr>
</table>
